function [x,y]=vekt_sort(x1,y1,x2,y2)

% Sortiert die Vektoren x1,y1,x2,y2 so, dass x=[x1,x2] der Groesse nach
% sortiert ist und die zugehoerigen Werte in y=[y1,y2] an den entsprechend gleichen Stellen stehen.

z1=length(x1);
z2=length(y1);
z3=length(x2);
z4=length(y2);
y=zeros(z2+z4,1);

for i=1:z1
    A(i,1)=x1(i);
end

for i=1:z2
    A(i,2)=y1(i);
end

for i=z1+1:z1+z3
    A(i,1)=x2(i-z1);
end

for i=z2+1:z2+z4
    A(i,2)=y2(i-z2);
end

B=sortrows(A);

for i=1:z1+z3
    x(i)=B(i,1);
end

for i=1:z2+z4
    y(i)=B(i,2);
end
